Subject: [RESEND][PATCH] ARM errata, 430973: update the affected revisions

From: [email-masked] (Jeroen Hofstee)
Date: Wed, 15 Apr 2015 00:10:23 +0200

Hello Russell,

On 13-04-15 23:35, Russell King - ARM Linux wrote:
> On Mon, Apr 13, 2015 at 09:28:09AM -0700, Tony Lindgren wrote:
>> * Tony Lindgren <[email-masked]> [150413 07:46]:
>>> If what Russell and I are saying is correct, with the above two
>>> patches your system should behave properly with 430973 even if
>>> bit 6 in the aux ctrl register is set (or unset) by the bootloader.
>>>
>>> If r1p7 is behaves with bit 6 cleared and errata 430973 set, then
>>> we know r1p7 is unaffected by 430973.
>> Sorry let's take this part again:
>>
>> If r1p7 is behaves with bit 6 cleared and errata 430973 _unset_,
>> then we know r1p7 is unaffected by 430973.
> I've asked.  The errata applies to _all_ Cortex A8 r1pX versions.
> This is actually what the code in the kernel does today, but the
> documentation does not reflect it.  So, I've updated the
> documentation to reflect (a) the code and (b) the info I received:
>
> http://ftp.arm.linux.org.uk/cgit/linux-arm.git/commit/?id=59552cc87cb6
>

Good, that also matches with the patch I posted, [r1p4 .. r1p6]
are not necessarily not affected, they simply are not mentioned in the
errata. r1p7 is the last from the r1pX range. From r2p1 on things should
no longer need to workaround.

Regards,
Jeroen